Loading...
Searching...
No Matches
TFTP client/server
Applications

## Topics

| Options

## Data Structures

struct | tftp_context

## Functions

err_t | tftp_init_server (const struct tftp_context *ctx)
err_t | tftp_init_client (const struct tftp_context *ctx)
void | tftp_cleanup (void)

## Detailed Description

This is simple TFTP client/server for the lwIP raw API. You need to increase MEMP_NUM_SYS_TIMEOUT by one if you use TFTP!

## Function Documentation

## tftp_cleanup()

void tftp_cleanup | ( | void |  | ) |

Deinitialize ("turn off") TFTP client/server.

## tftp_init_client()

err_t tftp_init_client | ( | const struct tftp_context * | ctx | ) |

Initialize TFTP client.

Parameters

  ctx | TFTP callback struct

## tftp_init_server()

err_t tftp_init_server | ( | const struct tftp_context * | ctx | ) |

Initialize TFTP server.

Parameters

  ctx | TFTP callback struct